#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name: cryptonite-conduit
version: 0.2.2
id: cryptonite-conduit-0.2.2-6dnbmNT3W4SJxaZzcmwyyf
key: cryptonite-conduit-0.2.2-6dnbmNT3W4SJxaZzcmwyyf
license: BSD3
copyright: Vincent Hanquez <vincent@snarc.org>
maintainer: vincent@snarc.org
stability: experimental
homepage: https://github.com/haskell-crypto/cryptonite-conduit
synopsis: cryptonite conduit
description:
    Conduit bridge for cryptonite
    .
    For now only provide a conduit version for hash and hmac, but
    with contribution, this could provide cipher conduits too,
    and probably other things.
category: Cryptography, Conduit
author: Vincent Hanquez <vincent@snarc.org>
exposed: True
indefinite: False
exposed-modules:
    Crypto.Cipher.ChaChaPoly1305.Conduit Crypto.Hash.Conduit
    Crypto.MAC.HMAC.Conduit Crypto.PubKey.ECIES.Conduit
abi: 60c8cd763baf9a2522a5867243bdd297
trusted: False
import-dirs: /usr/lib/ghc-8.2.2/site-local/cryptonite-conduit-0.2.2
library-dirs: /usr/lib/ghc-8.2.2/site-local/cryptonite-conduit-0.2.2
dynamic-library-dirs: /usr/lib
data-dir: /usr/share/x86_64-linux-ghc-8.2.2/cryptonite-conduit-0.2.2
hs-libraries: HScryptonite-conduit-0.2.2-6dnbmNT3W4SJxaZzcmwyyf
depends:
    base-4.10.1.0 bytestring-0.10.8.2
    conduit-1.2.12.1-DgvewvywWCGCK3C7qug7gW
    conduit-extra-1.2.0-2twq09DKhQo94WyFHzSmTO
    cryptonite-0.24-KSgqPvW6P2U2g3l2SIl5eS
    exceptions-0.8.3-KXvLXRbxEkO6vroqtRG1UV
    memory-0.14.9-6VeLHSFN7gIHTYXihL4eIB
    resourcet-1.1.9-2fG0WsJxRSp4ffINDyRipb transformers-0.5.2.0
abi-depends: base-4.10.1.0=35a7f6be752ee4f7385cb5bf28677879
             bytestring-0.10.8.2=4a9e2cf748f0e2cc5be33be7a5505ecf
             conduit-1.2.12.1-DgvewvywWCGCK3C7qug7gW=8e27cf976a40db28a53e92e26b1e5aad
             conduit-extra-1.2.0-2twq09DKhQo94WyFHzSmTO=0c9f4499fe135dff40b27a5c66f11f75
             cryptonite-0.24-KSgqPvW6P2U2g3l2SIl5eS=4f7336c70e37545d54480662c758f0f9
             exceptions-0.8.3-KXvLXRbxEkO6vroqtRG1UV=a65573b768f12b6581738ace5752a912
             memory-0.14.9-6VeLHSFN7gIHTYXihL4eIB=65e0a49a4c422385444ca19510423d90
             resourcet-1.1.9-2fG0WsJxRSp4ffINDyRipb=3aa69ff45a879ebc8be04bdadb54dcf8
             transformers-0.5.2.0=e04579c0363c9229351d1a0b394bf2d5
haddock-interfaces: /usr/share/doc/haskell-cryptonite-conduit/html/cryptonite-conduit.haddock
haddock-html: /usr/share/doc/haskell-cryptonite-conduit/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

